/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


// ----------------------------------------------------------------
// Sample captured at: 2015-12-11 18:11:00 local, 2015-12-12 02:11:00 GMT
AlgDlsMinuteData *activity_sample_2015_12_11_18_11_00(int *len) {
  // The unit tests parse the //> TEST_.* lines below for test values
  //> TEST_NAME pbl_30867
  //> TEST_VERSION 3
  //> TEST_TOTAL -1
  //> TEST_TOTAL_MIN -1
  //> TEST_TOTAL_MAX -1
  //> TEST_DEEP -1
  //> TEST_DEEP_MIN -1
  //> TEST_DEEP_MAX -1
  //> TEST_START_AT 230
  //> TEST_START_AT_MIN 220
  //> TEST_START_AT_MAX 240
  //> TEST_END_AT 695
  //> TEST_END_AT_MIN 690
  //> TEST_END_AT_MAX 710
  //> TEST_CUR_STATE_ELAPSED -1
  //> TEST_CUR_STATE_ELAPSED_MIN -1
  //> TEST_CUR_STATE_ELAPSED_MAX -1
  //> TEST_IN_SLEEP 0
  //> TEST_IN_SLEEP_MIN 0
  //> TEST_IN_SLEEP_MAX 0
  //> TEST_IN_DEEP_SLEEP 0
  //> TEST_IN_DEEP_SLEEP_MIN 0
  //> TEST_IN_DEEP_SLEEP_MAX 0
  //> TEST_WEIGHT 1.0

  // list of: {steps, orientation, vmc, light, plugged_in}
  static AlgDlsMinuteData samples[] = {
    { 0, 0x7a, 258, 230, 0},
    { 0, 0x77, 4860, 209, 0},
    { 0, 0x72, 656, 204, 0},
    { 26, 0x62, 4245, 188, 0},
    { 43, 0x64, 7170, 195, 0},
    { 0, 0x74, 0, 193, 0},
    { 49, 0x52, 3972, 171, 0},
    { 55, 0x41, 3032, 182, 0},
    { 0, 0x52, 5232, 184, 0},
    { 0, 0x35, 1429, 185, 0},
    { 0, 0x61, 1502, 186, 0},
    { 0, 0x60, 443, 193, 0},
    { 0, 0x60, 0, 193, 0},
    { 0, 0x61, 1369, 188, 0},
    { 0, 0x51, 2371, 191, 0},
    // 15: Local time: 06:26:00 PM
    { 0, 0x50, 836, 193, 0},
    { 16, 0x51, 3550, 194, 0},
    { 12, 0x52, 5511, 197, 0},
    { 0, 0x52, 6594, 148, 0},
    { 46, 0x52, 6428, 151, 0},
    { 0, 0x76, 9485, 148, 0},
    { 0, 0x78, 5291, 146, 0},
    { 0, 0x78, 2132, 147, 0},
    { 0, 0x68, 88, 147, 0},
    { 0, 0x68, 547, 146, 0},
    { 0, 0x78, 88, 147, 0},
    { 0, 0x78, 55, 147, 0},
    { 0, 0x78, 443, 148, 0},
    { 16, 0x67, 1882, 151, 0},
    { 0, 0x67, 2178, 146, 0},
    // 30: Local time: 06:41:00 PM
    { 0, 0x67, 1356, 148, 0},
    { 15, 0x74, 4290, 148, 0},
    { 7, 0x52, 4157, 149, 0},
    { 49, 0x42, 3417, 146, 0},
    { 58, 0x42, 3910, 152, 0},
    { 39, 0x42, 2190, 146, 0},
    { 8, 0x42, 581, 148, 0},
    { 16, 0x73, 4093, 145, 0},
    { 0, 0x78, 6532, 145, 0},
    { 0, 0x68, 157, 144, 0},
    { 0, 0x68, 296, 146, 0},
    { 0, 0x68, 13, 146, 0},
    { 0, 0x68, 360, 146, 0},
    { 0, 0x78, 861, 147, 0},
    { 0, 0x68, 65, 146, 0},
    // 45: Local time: 06:56:00 PM
    { 0, 0x78, 82, 146, 0},
    { 0, 0x67, 943, 147, 0},
    { 0, 0x67, 2849, 148, 0},
    { 29, 0x63, 7773, 176, 0},
    { 32, 0x41, 5409, 201, 0},
    { 13, 0x51, 5207, 186, 0},
    { 0, 0x52, 4238, 200, 0},
    { 0, 0x51, 5767, 203, 0},
    { 0, 0x42, 4130, 199, 0},
    { 13, 0x42, 2569, 198, 0},
    { 0, 0x41, 179, 150, 0},
    { 37, 0x52, 4619, 163, 0},
    { 17, 0x41, 2242, 194, 0},
    { 0, 0x62, 1930, 229, 0},
    { 0, 0x8a, 0, 154, 0},
    // 60: Local time: 07:11:00 PM
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 156, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 156, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 156, 0},
    { 0, 0x8b, 0, 154, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 156, 0},
    { 0, 0x8b, 0, 156, 0},
    { 0, 0x8b, 0, 153, 0},
    // 75: Local time: 07:26:00 PM
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 96, 156, 0},
    { 0, 0x8b, 0, 157, 0},
    { 0, 0x8b, 0, 157, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 152, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 153, 0},
    // 90: Local time: 07:41:00 PM
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 156, 0},
    { 0, 0x8b, 0, 157, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 153, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 152, 0},
    // 105: Local time: 07:56:00 PM
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 156, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 154, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 156, 0},
    { 0, 0x8b, 0, 156, 0},
    { 0, 0x8b, 0, 154, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 154, 0},
    // 120: Local time: 08:11:00 PM
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 153, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 154, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x8b, 0, 162, 0},
    { 0, 0x8b, 0, 163, 0},
    { 0, 0x8b, 0, 162, 0},
    // 135: Local time: 08:26:00 PM
    { 0, 0x8b, 0, 162, 0},
    { 0, 0x8b, 0, 163, 0},
    { 0, 0x8b, 0, 162, 0},
    { 0, 0x8b, 0, 162, 0},
    { 0, 0x8b, 0, 161, 0},
    { 0, 0x8b, 0, 163, 0},
    { 0, 0x8b, 0, 163, 0},
    { 0, 0x8b, 0, 162, 0},
    { 0, 0x8b, 0, 163, 0},
    { 0, 0x8b, 0, 160, 0},
    { 0, 0x8b, 0, 163, 0},
    { 0, 0x8b, 0, 162, 0},
    { 0, 0x8b, 0, 162, 0},
    { 0, 0x8b, 0, 162, 0},
    { 0, 0x8b, 0, 161, 0},
    // 150: Local time: 08:41:00 PM
    { 0, 0x8b, 0, 163, 0},
    { 0, 0x8b, 0, 163, 0},
    { 0, 0x8b, 0, 163, 0},
    { 0, 0x8b, 0, 163, 0},
    { 0, 0x8b, 0, 161, 0},
    { 0, 0x8b, 0, 229, 0},
    { 0, 0x8b, 0, 230, 0},
    { 0, 0x8b, 0, 230, 0},
    { 0, 0x8b, 0, 179, 0},
    { 0, 0x8b, 0, 177, 0},
    { 0, 0x8b, 15, 229, 0},
    { 0, 0x8b, 1, 229, 0},
    { 0, 0x8b, 0, 229, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    // 165: Local time: 08:56:00 PM
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 71, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 178, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    // 180: Local time: 09:11:00 PM
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    // 195: Local time: 09:26:00 PM
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 180, 0},
    { 0, 0x8b, 0, 156, 0},
    { 0, 0x8b, 0, 155, 0},
    { 0, 0x7c, 358, 227, 0},
    // 210: Local time: 09:41:00 PM
    { 0, 0x52, 1820, 196, 0},
    { 62, 0x42, 5108, 183, 0},
    { 13, 0x52, 5490, 197, 0},
    { 53, 0x60, 3303, 192, 0},
    { 37, 0x60, 3070, 184, 0},
    { 39, 0x42, 5677, 196, 0},
    { 57, 0x53, 7376, 185, 0},
    { 16, 0x62, 8844, 222, 0},
    { 0, 0x42, 6150, 166, 0},
    { 0, 0x71, 6072, 143, 0},
    { 0, 0x70, 0, 146, 0},
    { 0, 0x70, 0, 146, 0},
    { 0, 0x70, 1007, 147, 0},
    { 0, 0x72, 304, 147, 0},
    { 0, 0x7e, 1412, 145, 0},
    // 225: Local time: 09:56:00 PM
    { 0, 0x42, 560, 147, 0},
    { 0, 0x22, 0, 147, 0},
    { 0, 0x22, 0, 147, 0},
    { 0, 0x23, 0, 147, 0},
    { 0, 0x32, 899, 148, 0},
    { 0, 0x71, 0, 148, 0},
    { 0, 0x71, 0, 148, 0},
    { 0, 0x71, 0, 148, 0},
    { 0, 0x71, 0, 149, 0},
    { 0, 0x71, 0, 147, 0},
    { 0, 0x71, 0, 149, 0},
    { 0, 0x71, 0, 149, 0},
    { 0, 0x71, 0, 149, 0},
    { 0, 0x71, 0, 149, 0},
    { 0, 0x71, 0, 147, 0},
    // 240: Local time: 10:11:00 PM
    { 0, 0x71, 0, 149, 0},
    { 0, 0x71, 0, 149, 0},
    { 0, 0x71, 0, 149, 0},
    { 0, 0x71, 0, 149, 0},
    { 0, 0x71, 0, 151, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 149, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 148, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 148, 0},
    // 255: Local time: 10:26:00 PM
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 149, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 151, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 148, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 148, 0},
    // 270: Local time: 10:41:00 PM
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 302, 167, 0},
    { 0, 0x71, 518, 150, 0},
    { 0, 0x71, 0, 151, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 148, 0},
    { 0, 0x71, 610, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 148, 0},
    // 285: Local time: 10:56:00 PM
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x71, 13, 150, 0},
    { 0, 0x71, 0, 151, 0},
    { 0, 0x71, 0, 150, 0},
    { 0, 0x70, 1157, 166, 0},
    { 27, 0x33, 2564, 191, 0},
    { 16, 0x26, 5309, 149, 0},
    { 0, 0x45, 63, 146, 0},
    { 0, 0x36, 221, 149, 0},
    { 0, 0x36, 0, 149, 0},
    { 0, 0x36, 0, 149, 0},
    { 0, 0x36, 0, 149, 0},
    { 0, 0x36, 0, 148, 0},
    // 300: Local time: 11:11:00 PM
    { 0, 0x36, 0, 149, 0},
    { 0, 0x36, 0, 149, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 146, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 148, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 147, 0},
    // 315: Local time: 11:26:00 PM
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 147, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 148, 0},
    // 330: Local time: 11:41:00 PM
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 148, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 148, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 148, 0},
    // 345: Local time: 11:56:00 PM
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 152, 0},
    { 0, 0x36, 0, 148, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 148, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 149, 0},
    // 360: Local time: 12:11:00 AM
    { 0, 0x36, 0, 152, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 149, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 149, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 149, 0},
    // 375: Local time: 12:26:00 AM
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 149, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 149, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 149, 0},
    // 390: Local time: 12:41:00 AM
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 149, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 149, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 150, 0},
    // 405: Local time: 12:56:00 AM
    { 0, 0x36, 15, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 150, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 0, 151, 0},
    { 0, 0x36, 760, 150, 0},
    { 0, 0x25, 0, 151, 0},
    { 0, 0x25, 0, 149, 0},
    { 0, 0x25, 0, 151, 0},
    { 0, 0x25, 0, 150, 0},
    { 0, 0x25, 0, 151, 0},
    { 0, 0x25, 0, 151, 0},
    { 0, 0x25, 0, 148, 0},
    // 420: Local time: 01:11:00 AM
    { 0, 0x25, 0, 151, 0},
    { 0, 0x25, 0, 150, 0},
    { 0, 0x25, 0, 151, 0},
    { 0, 0x25, 0, 150, 0},
    { 0, 0x25, 0, 152, 0},
    { 0, 0x25, 0, 151, 0},
    { 0, 0x25, 0, 151, 0},
    { 0, 0x25, 0, 151, 0},
    { 0, 0x25, 0, 151, 0},
    { 12, 0x78, 1467, 148, 0},
    { 0, 0x6a, 373, 150, 0},
    { 0, 0x6a, 3, 150, 0},
    { 0, 0x6a, 0, 149, 0},
    { 0, 0x6a, 0, 149, 0},
    { 0, 0x6a, 0, 147, 0},
    // 435: Local time: 01:26:00 AM
    { 0, 0x6a, 0, 149, 0},
    { 0, 0x6a, 0, 149, 0},
    { 0, 0x6a, 0, 149, 0},
    { 0, 0x6a, 0, 149, 0},
    { 0, 0x6a, 0, 137, 0},
    { 0, 0x6a, 0, 149, 0},
    { 0, 0x6a, 0, 149, 0},
    { 0, 0x6a, 0, 149, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 147, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 145, 0},
    // 450: Local time: 01:41:00 AM
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 8, 0x5a, 1508, 149, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 146, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 146, 0},
    // 465: Local time: 01:56:00 AM
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 149, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 146, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 146, 0},
    // 480: Local time: 02:11:00 AM
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 149, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 147, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 147, 0},
    // 495: Local time: 02:26:00 AM
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 147, 0},
    { 0, 0x7a, 1695, 148, 0},
    { 0, 0x7b, 0, 148, 0},
    { 0, 0x7b, 0, 148, 0},
    { 0, 0x7b, 0, 148, 0},
    { 0, 0x7b, 0, 146, 0},
    { 0, 0x7b, 0, 148, 0},
    { 0, 0x7b, 0, 148, 0},
    { 0, 0x7b, 0, 148, 0},
    { 8, 0x7a, 473, 148, 0},
    { 0, 0x6a, 0, 145, 0},
    // 510: Local time: 02:41:00 AM
    { 0, 0x6b, 154, 148, 0},
    { 0, 0x6b, 0, 147, 0},
    { 0, 0x6b, 0, 148, 0},
    { 0, 0x6b, 0, 147, 0},
    { 0, 0x6b, 0, 149, 0},
    { 0, 0x6b, 0, 147, 0},
    { 12, 0x6b, 423, 147, 0},
    { 0, 0x6a, 0, 147, 0},
    { 0, 0x6a, 942, 147, 0},
    { 0, 0x6a, 0, 145, 0},
    { 0, 0x6a, 0, 147, 0},
    { 0, 0x6a, 0, 147, 0},
    { 0, 0x6a, 0, 147, 0},
    { 0, 0x6a, 0, 147, 0},
    { 0, 0x6a, 0, 145, 0},
    // 525: Local time: 02:56:00 AM
    { 0, 0x69, 620, 147, 0},
    { 0, 0x68, 0, 147, 0},
    { 0, 0x68, 0, 147, 0},
    { 0, 0x68, 0, 147, 0},
    { 0, 0x6a, 579, 148, 0},
    { 0, 0x6a, 0, 147, 0},
    { 0, 0x6a, 0, 147, 0},
    { 25, 0x83, 3712, 187, 0},
    { 0, 0x13, 148, 198, 0},
    { 0, 0x25, 2325, 144, 0},
    { 0, 0x26, 0, 147, 0},
    { 0, 0x26, 0, 147, 0},
    { 0, 0x26, 0, 148, 0},
    { 0, 0x26, 0, 148, 0},
    { 0, 0x26, 0, 146, 0},
    // 540: Local time: 03:11:00 AM
    { 0, 0x26, 0, 148, 0},
    { 0, 0x26, 0, 148, 0},
    { 0, 0x17, 163, 149, 0},
    { 0, 0x17, 0, 149, 0},
    { 0, 0x17, 0, 150, 0},
    { 0, 0x17, 0, 149, 0},
    { 0, 0x17, 0, 149, 0},
    { 0, 0x69, 2013, 149, 0},
    { 0, 0x69, 0, 149, 0},
    { 0, 0x69, 263, 146, 0},
    { 0, 0x78, 213, 149, 0},
    { 0, 0x79, 489, 149, 0},
    { 0, 0x6a, 2390, 150, 0},
    { 0, 0x69, 1591, 150, 0},
    { 8, 0x79, 2427, 173, 0},
    // 555: Local time: 03:26:00 AM
    { 31, 0x78, 3960, 150, 0},
    { 0, 0x68, 1169, 150, 0},
    { 0, 0x68, 0, 150, 0},
    { 0, 0x67, 7, 149, 0},
    { 0, 0x67, 0, 149, 0},
    { 0, 0x68, 1531, 149, 0},
    { 0, 0x68, 11, 149, 0},
    { 0, 0x68, 392, 149, 0},
    { 0, 0x69, 19, 149, 0},
    { 0, 0x69, 408, 149, 0},
    { 0, 0x69, 287, 149, 0},
    { 0, 0x69, 489, 149, 0},
    { 0, 0x68, 265, 149, 0},
    { 12, 0x69, 1600, 149, 0},
    { 0, 0x69, 2460, 149, 0},
    // 570: Local time: 03:41:00 AM
    { 25, 0x69, 2698, 149, 0},
    { 0, 0x69, 223, 149, 0},
    { 0, 0x69, 468, 148, 0},
    { 0, 0x66, 2115, 148, 0},
    { 0, 0x66, 50, 148, 0},
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 433, 149, 0},
    { 0, 0x66, 868, 149, 0},
    { 12, 0x75, 6919, 166, 0},
    { 0, 0x70, 2327, 148, 0},
    { 0, 0x72, 0, 148, 0},
    { 0, 0x72, 0, 149, 0},
    { 0, 0x72, 0, 149, 0},
    // 585: Local time: 03:56:00 AM
    { 0, 0x72, 0, 149, 0},
    { 0, 0x72, 0, 149, 0},
    { 0, 0x72, 0, 149, 0},
    { 0, 0x72, 0, 150, 0},
    { 0, 0x72, 0, 150, 0},
    { 0, 0x72, 0, 150, 0},
    { 0, 0x72, 0, 150, 0},
    { 0, 0x72, 0, 150, 0},
    { 0, 0x72, 0, 150, 0},
    { 0, 0x72, 0, 150, 0},
    { 0, 0x72, 0, 150, 0},
    { 17, 0x63, 2870, 150, 0},
    { 0, 0x34, 50, 150, 0},
    { 0, 0x23, 0, 149, 0},
    { 0, 0x23, 169, 149, 0},
    // 600: Local time: 04:11:00 AM
    { 0, 0x34, 0, 150, 0},
    { 0, 0x34, 0, 149, 0},
    { 0, 0x34, 0, 150, 0},
    { 0, 0x23, 113, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    // 615: Local time: 04:26:00 AM
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 0, 150, 0},
    { 0, 0x23, 227, 150, 0},
    { 0, 0x34, 0, 150, 0},
    { 0, 0x34, 0, 150, 0},
    { 0, 0x34, 0, 151, 0},
    { 0, 0x34, 0, 150, 0},
    { 0, 0x34, 0, 150, 0},
    // 630: Local time: 04:41:00 AM
    { 0, 0x23, 579, 151, 0},
    { 0, 0x22, 0, 151, 0},
    { 0, 0x22, 0, 151, 0},
    { 0, 0x22, 0, 151, 0},
    { 0, 0x22, 0, 151, 0},
    { 0, 0x22, 2723, 143, 0},
    { 0, 0x23, 1593, 189, 0},
    { 0, 0x35, 2883, 161, 0},
    { 0, 0x26, 1019, 149, 0},
    { 0, 0x18, 252, 150, 0},
    { 0, 0x18, 0, 150, 0},
    { 0, 0x18, 42, 150, 0},
    { 0, 0x18, 0, 150, 0},
    { 0, 0x18, 0, 150, 0},
    { 0, 0x18, 0, 150, 0},
    // 645: Local time: 04:56:00 AM
    { 0, 0x18, 0, 150, 0},
    { 0, 0x18, 0, 150, 0},
    { 0, 0x18, 0, 150, 0},
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 0, 150, 0},
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 0, 150, 0},
    { 0, 0x17, 1, 150, 0},
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 0, 151, 0},
    // 660: Local time: 05:11:00 AM
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 0, 151, 0},
    { 0, 0x17, 30, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    // 675: Local time: 05:26:00 AM
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 152, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 152, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 152, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    { 0, 0x18, 0, 151, 0},
    // 690: Local time: 05:41:00 AM
    { 0, 0x18, 0, 152, 0},
    { 0, 0x18, 0, 152, 0},
    { 0, 0x18, 0, 152, 0},
    { 0, 0x18, 0, 152, 0},
    { 0, 0x18, 0, 152, 0},
    { 0, 0x46, 1358, 167, 0},
    { 0, 0x48, 656, 151, 0},
    { 0, 0x48, 0, 150, 0},
    { 0, 0x48, 0, 150, 0},
    { 0, 0x48, 0, 150, 0},
    { 0, 0x48, 0, 150, 0},
    { 0, 0x48, 0, 150, 0},
    { 0, 0x48, 0, 150, 0},
    { 0, 0x58, 2117, 150, 0},
    { 0, 0x69, 1144, 150, 0},
    // 705: Local time: 05:56:00 AM
    { 0, 0x69, 628, 150, 0},
    { 0, 0x69, 0, 150, 0},
    { 0, 0x69, 570, 150, 0},
    { 0, 0x69, 219, 150, 0},
    { 0, 0x68, 44, 150, 0},
    { 0, 0x69, 7, 150, 0},
    { 0, 0x70, 3741, 150, 0},
    { 0, 0x7f, 0, 150, 0},
    { 0, 0x7f, 0, 150, 0},
    { 0, 0x7f, 0, 150, 0},
    { 0, 0x7f, 362, 151, 0},
    { 0, 0x40, 0, 151, 0},
    { 0, 0x40, 0, 151, 0},
    { 0, 0x40, 11, 151, 0},
    { 0, 0x40, 0, 151, 0},
    // 720: Local time: 06:11:00 AM
    { 0, 0x40, 0, 151, 0},
    { 0, 0x40, 0, 151, 0},
    { 0, 0x40, 0, 151, 0},
    { 0, 0x40, 0, 151, 0},
    { 0, 0x40, 0, 151, 0},
    { 0, 0x40, 0, 151, 0},
    { 0, 0x40, 0, 151, 0},
    { 0, 0x40, 732, 151, 0},
    { 0, 0x6e, 1764, 151, 0},
    { 0, 0x7e, 1795, 151, 0},
    { 0, 0x5d, 712, 151, 0},
    { 0, 0x5d, 0, 150, 0},
    { 0, 0x5d, 229, 150, 0},
    { 20, 0x7e, 1412, 151, 0},
    { 0, 0x7f, 0, 151, 0},
    // 735: Local time: 06:26:00 AM
    { 0, 0x7f, 0, 151, 0},
    { 0, 0x6e, 1121, 151, 0},
    { 0, 0x6e, 269, 151, 0},
    { 0, 0x6e, 0, 151, 0},
    { 0, 0x7e, 1, 151, 0},
    { 0, 0x6e, 932, 151, 0},
    { 0, 0x6e, 1435, 151, 0},
    { 0, 0x7e, 0, 151, 0},
    { 0, 0x7e, 261, 151, 0},
    { 0, 0x6f, 0, 151, 0},
    { 0, 0x7f, 448, 151, 0},
    { 0, 0x7f, 221, 151, 0},
    { 0, 0x7f, 238, 151, 0},
    { 0, 0x6f, 80, 151, 0},
    { 0, 0x7f, 123, 151, 0},
    // 750: Local time: 06:41:00 AM
    { 0, 0x7f, 495, 151, 0},
    { 12, 0x70, 701, 151, 0},
    { 0, 0x7f, 77, 151, 0},
    { 0, 0x7e, 325, 151, 0},
    { 0, 0x70, 11, 151, 0},
    { 0, 0x7f, 0, 151, 0},
    { 0, 0x7e, 1153, 151, 0},
    { 0, 0x7e, 0, 151, 0},
    { 13, 0x8c, 3685, 153, 0},
    { 0, 0x77, 861, 153, 0},
    { 31, 0x69, 6501, 154, 0},
    { 0, 0x69, 1123, 155, 0},
    { 12, 0x68, 2300, 155, 0},
    { 0, 0x78, 2045, 155, 0},
    { 0, 0x77, 2111, 156, 0},
    // 765: Local time: 06:56:00 AM
    { 0, 0x78, 1989, 159, 0},
    { 0, 0x46, 3831, 181, 0},
    { 0, 0x57, 6241, 205, 0},
    { 0, 0x75, 2377, 225, 0},
    { 0, 0x8b, 0, 226, 0},
    { 0, 0x8b, 0, 170, 0},
    { 0, 0x8b, 0, 170, 0},
    { 0, 0x8b, 0, 171, 0},
    { 0, 0x8b, 0, 172, 0},
    { 0, 0x8b, 0, 170, 0},
    { 0, 0x8b, 0, 174, 0},
    { 0, 0x8b, 0, 175, 0},
    { 0, 0x8b, 0, 175, 0},
    { 0, 0x8b, 0, 176, 0},
    { 0, 0x8b, 0, 173, 0},
    // 780: Local time: 07:11:00 AM
    { 0, 0x8b, 0, 180, 0},
    { 0, 0x8b, 0, 220, 0},
    { 0, 0x8b, 0, 220, 0},
    { 0, 0x8b, 0, 219, 0},
    { 0, 0x8b, 0, 220, 0},
    { 0, 0x8b, 0, 219, 0},
    { 0, 0x8b, 0, 224, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 224, 0},
    { 21, 0x71, 3290, 197, 0},
    { 17, 0x53, 8008, 182, 0},
    { 0, 0x43, 6883, 178, 0},
    { 16, 0x53, 6603, 183, 0},
    { 10, 0x42, 4519, 187, 0},
    { 31, 0x54, 7894, 174, 0},
    // 795: Local time: 07:26:00 AM
    { 0, 0x55, 3966, 180, 0},
    { 0, 0x52, 8144, 184, 0},
    { 32, 0x52, 5449, 181, 0},
    { 0, 0x61, 5492, 177, 0},
    { 0, 0x62, 7198, 184, 0},
    { 0, 0x63, 4642, 214, 0},
    { 52, 0x51, 6066, 188, 0},
    { 0, 0x53, 6829, 197, 0},
    { 0, 0x65, 5887, 206, 0},
    { 0, 0x65, 3140, 201, 0},
    { 0, 0x65, 1211, 199, 0},
    { 0, 0x65, 4760, 205, 0},
    { 0, 0x65, 4448, 208, 0},
    { 0, 0x54, 1583, 207, 0},
    { 0, 0x64, 339, 204, 0},
  };
  *len = ARRAY_LENGTH(samples);
  return samples;
}

